unit AdvSelector;

interface

uses
  Classes, SysUtils, IWAppForm, IWApplication, IWColor, IWTypes, IWControl,
  IWAdvToolButton, IWVCLBaseControl, IWBaseControl, IWBaseHTMLControl,
  IWCompLabel, LeftFrame, Controls, Forms, TopFrame, IWCompRectangle,
  IWCompEdit, IWMultiColumnComboBox, IWHelpTip,
  IWCompListbox, IWCompButton, jpeg, IWExtCtrls,
  IWAdvSelector;

type
  TformAdvSelector = class(TIWAppForm)
    FrameTopFrame1: TFrameTopFrame;
    FrameLeftFrame1: TFrameLeftFrame;
    TIWAdvSelector1: TTIWAdvSelector;
    TIWAdvSelector2: TTIWAdvSelector;
    TIWAdvSelector3: TTIWAdvSelector;
    TIWAdvSelector4: TTIWAdvSelector;
    TIWAdvSelector5: TTIWAdvSelector;
    TIWAdvSelector6: TTIWAdvSelector;
    TIWAdvSelector7: TTIWAdvSelector;
    Label1: TIWLabel;
    TIWAdvToolButton1: TTIWAdvToolButton;
    TIWAdvToolButton2: TTIWAdvToolButton;
    TIWAdvToolButton3: TTIWAdvToolButton;
    TIWAdvSelector8: TTIWAdvSelector;
    IWLabel7: TIWLabel;
    procedure IWAppFormCreate(Sender: TObject);
  public
  end;

implementation

{$R *.dfm}

procedure TformAdvSelector.IWAppFormCreate(Sender: TObject);
begin
//Font Size
  with  tiwadvselector2.Items.Add do
  begin
      Text := '1 (8 pt)';
      Value := '8';
      ItemType := itCustom;
  end;
  with  tiwadvselector2.Items.Add do
  begin
      Text := '2 (10 pt)';
      Value := '10';
      ItemType := itCustom;
  end;
  with  tiwadvselector2.Items.Add do
  begin
      Text := '3 (12 pt)';
      Value := '12';
      ItemType := itCustom;
  end;
  with  tiwadvselector2.Items.Add do
  begin
      Text := '4 (14 pt)';
      Value := '14';
      ItemType := itCustom;
  end;
  with  tiwadvselector2.Items.Add do
  begin
      Text := '5 (18 pt)';
      Value := '18';
      ItemType := itCustom;
  end;
  with  tiwadvselector2.Items.Add do
  begin
      Text := '6 (24 pt)';
      Value := '24';
      ItemType := itCustom;
  end;
  with  tiwadvselector2.Items.Add do
  begin
      Text := '7 (36 pt)';
      Value := '36';
      ItemType := itCustom;
  end;
  //end Font Size

  //Alignment
  with  tiwadvselector3.Items.Add do
  begin
      Text := 'Align Left';
      Hint := 'Align Left';
      Value := 'left';
      Glyph.FileName := '\files\align_left16_d.gif';
      ItemType := itCustom;
  end;
  with  tiwadvselector3.Items.Add do
  begin
      Text := 'Align Center';
      Hint := 'Align Center';
      Value := 'center';
      Glyph.FileName := '\files\align_centre16_d.gif';
      ItemType := itCustom;
  end;
  with  tiwadvselector3.Items.Add do
  begin
      Text := 'Align Right';
      Hint := 'Align Right';
      Value := 'right';
      Glyph.FileName := '\files\align_right16_d.gif';
      ItemType := itCustom;
  end;
  with  tiwadvselector3.Items.Add do
  begin
      Text := 'Justify';
      Hint := 'Justify';
      Value := 'justify';
      Glyph.FileName := '\files\align_justify16_d.gif';
      ItemType := itCustom;
  end;
  //end Alignment

  //Border Style
  with  tiwadvselector6.Items.Add do
  begin
      Text := 'None';
      Hint := 'None';
      Value := 'none';
      Glyph.FileName := '';
      ItemType := itCustom;
  end;
  with  tiwadvselector6.Items.Add do
  begin
      Text := '';
      Hint := 'Dotted';
      Value := 'dotted';
      Glyph.FileName := '\files\dotted.gif';
      ItemType := itCustom;
  end;
  with  tiwadvselector6.Items.Add do
  begin
      Text := '';
      Hint := 'Dashed';
      Value := 'dashed';
      Glyph.FileName := '\files\dashed.gif';
      ItemType := itCustom;
  end;
  with  tiwadvselector6.Items.Add do
  begin
      Text := '';
      Hint := 'Solid';
      Value := 'solid';
      Glyph.FileName := '\files\solid.gif';
      ItemType := itCustom;
  end;
  with  tiwadvselector6.Items.Add do
  begin
      Text := '';
      Hint := 'Double';
      Value := 'double';
      Glyph.FileName := '\files\double.gif';
      ItemType := itCustom;
  end;
  //end Border Style

  //Background Image
  with  tiwadvselector7.Items.Add do
  begin
      Text := 'Ice';
      Hint := 'Ice Scales';
      Value := '';
      Glyph.FileName := '\files\ice_scales.jpg';
      ItemType := itImage;
  end;
  with  tiwadvselector7.Items.Add do
  begin
      Text := 'Frost';
      Hint := 'Intense Frost';
      Value := '';
      Glyph.FileName := '\files\intense_frost.jpg';
      ItemType := itImage;
  end;
  with  tiwadvselector7.Items.Add do
  begin
      Text := 'Grate';
      Hint := 'Grate Shadows';
      Value := '';
      Glyph.FileName := '\files\grate_shadows.jpg';
      ItemType := itImage;
  end;
  with  tiwadvselector7.Items.Add do
  begin
      Text := 'Bumps';
      Hint := 'Blue Bumps';
      Value := '';
      Glyph.FileName := '\files\bluebump_prison.jpg';
      ItemType := itImage;
  end;
  with  tiwadvselector7.Items.Add do
  begin
      Text := 'Bubble';
      Hint := 'Bubble Dropper';
      Value := '';
      Glyph.FileName := '\files\bubble_dropper.jpg';
      ItemType := itImage;
  end;
  with  tiwadvselector7.Items.Add do
  begin
      Text := 'Harms';
      Hint := 'Harms 32';
      Value := '';
      Glyph.FileName := '\files\harms32.jpg';
      ItemType := itImage;
  end;
  //end Background Image
end;


end.
